<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [Sync](./git-documentdb.sync.md) &gt; [(constructor)](./git-documentdb.sync._constructor_.md)

## Sync.(constructor)

constructor

<b>Signature:</b>

```typescript
constructor(_gitDDB: IDocumentDB, _options?: RemoteOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  \_gitDDB | IDocumentDB |  |
|  \_options | [RemoteOptions](./git-documentdb.remoteoptions.md) |  |

## Exceptions

[UndefinedRemoteURLError](./git-documentdb.undefinedremoteurlerror.md)

[IntervalTooSmallError](./git-documentdb.intervaltoosmallerror.md)

